Last Comment Bug 369103 - warning page uses improper color combination
: warning page uses improper color combination
Status: RESOLVED FIXED
: access, fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
:
Mentors:
about:config
Depends on:
Blocks: 339720
  Show dependency treegraph
 
Reported: 2007-02-02 09:24 PST by bigcactus
Modified: 2008-07-31 04:24 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.45 KB, patch)
2007-02-02 16:43 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
asaf: review+
jag-mozilla: review+
csthomas: superreview+
kairo: approval‑seamonkey1.1.1+
Details | Diff | Splinter Review

Description bigcactus 2007-02-02 09:24:07 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2pre) Gecko/20070111 SeaMonkey/1.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2pre) Gecko/20070111 SeaMonkey/1.1

about:config warning page uses default/unspecified color text on white background. if that color is also white warning text is invisible.

Reproducible: Always

Steps to Reproduce:
1. set system text color to white
2. goto about:config



Expected Results:  
either text should be set to black or (preferably) background should be set to system color.
Comment 1 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-02 16:43:52 PST
Created attachment 253810 [details] [diff] [review]
patch

<NeilAway> CTho: sr=me
Comment 2 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2007-02-03 03:45:29 PST
Comment on attachment 253810 [details] [diff] [review]
patch

r=mano
Comment 3 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-14 17:03:23 PST
Fixed on trunk.  We may want this in SeaMonkey 1.1.1.
Comment 4 Robert Kaiser 2007-02-14 17:04:59 PST
Comment on attachment 253810 [details] [diff] [review]
patch

a=me for 1.1.1 for the SeaMonkey-specific part.

Note You need to log in before you can comment on or make changes to this bug.